Atom Runner 8080 proxy error


Hi All - When I run the below code in atom runner i get an odd trace back error. (Code and error below)

However if i run the code from command line or spyder ide it executes as expected. I’m guessing this is a config setting for atom runner but haven’t been able to debug. Any help would much appreciated. I’m new to atom and python so i’m guessing this is a pretty simple thing that I don;t understand


import urllib.request

fhand = urllib.request.urlopen(‘’)
for line in fhand:

Atom Runner:
Traceback (most recent call last):
File “C:\apps\Program Files\Continuum\anaconda3\lib\http\”, line 885, in _get_hostport
port = int(host[i+1:])
ValueError: invalid literal for int() with base 10: ‘8080;PROXY’

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “C:\Users\justin.walker2\Desktop\py4e\sample_code\”, line 3, in
fhand = urllib.request.urlopen(‘’)
File “C:\apps\Program Files\Continuum\anaconda3\lib\urllib\”, line 223, in urlopen
return, data, timeout)
File “C:\apps\Program Files\Continuum\anaconda3\lib\urllib\”, line 526, in open
response = self._open(req, data)
File “C:\apps\Program Files\Continuum\anaconda3\lib\urllib\”, line 544, in _open
‘_open’, req)
File “C:\apps\Program Files\Continuum\anaconda3\lib\urllib\”, line 504, in _call_chain
result = func(*args)
File “C:\apps\Program Files\Continuum\anaconda3\lib\urllib\”, line 1346, in http_open
return self.do_open(http.client.HTTPConnection, req)
File “C:\apps\Program Files\Continuum\anaconda3\lib\urllib\”, line 1286, in do_open
h = http_class(host, timeout=req.timeout, **http_conn_args)
File “C:\apps\Program Files\Continuum\anaconda3\lib\http\”, line 849, in init
(, self.port) = self._get_hostport(host, port)
File “C:\apps\Program Files\Continuum\anaconda3\lib\http\”, line 890, in _get_hostport
raise InvalidURL(“nonnumeric port: ‘%s’” % host[i+1:])
http.client.InvalidURL: nonnumeric port: ‘8080;PROXY’


Do you happen to have multiple versions of Python installed on your computer? Because it’s possible that atom-runner could be using a different one from the one you’re using from the command line. What command are you using when you do it manually?


This is what i run from the cmd line screen, I thought it may be an issue with the corporate firewall but it works in spyder from anaconda navigator and cmd line screen so it seems to be an issue with how i’ve set-up atom



What happens when you try to use another package, like script or process-palette? Honestly, if you’re familiar with the command line, process-palette gives you so much more power and automation potential than the others.